Bug 188374 - net/3proxy update to 0.7.1.2
Summary: net/3proxy update to 0.7.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-08 10:40 UTC by timp87
Modified: 2015-06-14 13:21 UTC (History)
3 users (show)

See Also:


Attachments
file.diff (1.97 KB, patch)
2014-04-08 10:40 UTC, timp87
no flags Details | Diff
0.7.1.1 shar file (7.03 KB, text/plain)
2014-08-20 12:51 UTC, timp87
no flags Details
update to 0.7.1.1 (4.56 KB, patch)
2014-09-03 06:56 UTC, timp87
no flags Details | Diff
update to 0.7.1.2 (6.83 KB, patch)
2015-02-18 10:51 UTC, timp87
no flags Details | Diff
poudriere log (135.05 KB, text/plain)
2015-02-18 10:51 UTC, timp87
no flags Details
Patch 0.6.1 to 0.7.1.2 (1.65 KB, patch)
2015-04-01 14:58 UTC, Igor Zabelin
no flags Details | Diff
Patch 0.6.1 to 0.7.1.2, sources from GitHub (1.86 KB, patch)
2015-04-02 10:02 UTC, Igor Zabelin
no flags Details | Diff
without bin/proxy prevents conflict with the libproxy (7.37 KB, patch)
2015-05-27 21:42 UTC, Igor Zabelin
no flags Details | Diff
Patch 0.6.1 to 0.7.1.2, without separate binaries (6.47 KB, patch)
2015-05-28 09:14 UTC, Igor Zabelin
no flags Details | Diff
Patch 0.7.1.2, rename bin/proxy to bin/httppr (18.43 KB, patch)
2015-06-14 13:10 UTC, Igor Zabelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2014-04-08 10:40:00 UTC
Update net/3proxy to 0.7 and add stage support

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-08 10:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 timp87 2014-04-21 12:53:16 UTC
Hi! Any progress here?
Comment 3 timp87 2014-08-20 12:51:02 UTC
Created attachment 146068 [details]
0.7.1.1 shar file

Stages

The rc script was renamed from 3proxy to threeproxy. It has to be mentioned in UPDATING when it will be commited.
Rename happened for matching rc.conf variable and to avoid problems when distribution extracts to dir with same name as rc script (3proxy).
Comment 4 timp87 2014-09-03 06:56:20 UTC
Created attachment 146716 [details]
update to 0.7.1.1

Based on today's changes in ports tree.

The rc script was renamed from 3proxy to threeproxy. It has to be mentioned in UPDATING when it's commited.
Rename happened for matching rc.conf variable and to avoid problems when distribution extracts to dir with same name as rc script (3proxy).
Comment 5 timp87 2015-02-18 10:51:22 UTC
Created attachment 153142 [details]
update to 0.7.1.2
Comment 6 timp87 2015-02-18 10:51:35 UTC
Created attachment 153143 [details]
poudriere log
Comment 7 Igor Zabelin 2015-04-01 14:55:48 UTC
Hi!
I'm also tried to make port 0.7.1.2
There is problem with carriage return at files.

Workaround:

pre-patch:
        # Fixing the end-of-lines:
        @for f in `${FIND} ${WRKSRC}/.. -type f` ; do \
                ${TR} -d '\r' < $$f > $$f.rmcr && \
                        ${CAT} $$f.rmcr > $$f && ${RM} $$f.rmcr; done


 		
And, it must be renamed rc script from 3proxy to threeproxy?

Just rename source dir.

post-extract:
        @${MV} ${WRKDIR}/${PORTNAME} ${WRKDIR}/${PORTNAME}-${PORTVERSION}
Comment 8 Igor Zabelin 2015-04-01 14:58:58 UTC
Created attachment 155089 [details]
Patch 0.6.1 to 0.7.1.2

rc script named 3proxy
Comment 9 timp87 2015-04-01 15:07:14 UTC
(In reply to igorz from comment #7)
Great!
But look at the initial date of this PR. Nobody has time to look and commit it =(
Comment 10 Igor Zabelin 2015-04-02 10:02:53 UTC
Created attachment 155118 [details]
Patch 0.6.1 to 0.7.1.2, sources from GitHub
Comment 11 Kurt Jaeger freebsd_committer 2015-04-06 11:45:33 UTC
Why does 3proxy conflict with libproxy ? Is there a way to
avoid this conflict ?

If I try to test 3proxy on a box with my general set of ports, I
have to 

pkg delete libproxy

which leads to approx. 20 pkgs to be deleted, among them eclipse, filezilla,
and some others. This causes people to avoid testing it.
Comment 12 Igor Zabelin 2015-04-06 12:25:16 UTC
(In reply to Kurt Jaeger from comment #11)

Due to the file bin/proxy.
I'll ask the developer 3proxy. Or make a patch, rename bin/proxy in httppr or something like that.
Comment 13 Kurt Jaeger freebsd_committer 2015-04-06 16:06:19 UTC
Thanks, that is a good approach.
Comment 14 timp87 2015-05-27 08:01:55 UTC
Can we force it somehow?
Comment 15 Igor Zabelin 2015-05-27 21:41:11 UTC
This patch without bin/proxy prevents conflict with the libproxy.

bin/3proxy is fully functional without it. And without icqpr msnpr pop3p smtpp socks tcppm udppm. They are needed in the package?
Comment 16 Igor Zabelin 2015-05-27 21:42:42 UTC
Created attachment 157205 [details]
without bin/proxy prevents conflict with the libproxy
Comment 17 timp87 2015-05-28 07:38:52 UTC
(In reply to Igor Zabelin from comment #15)
Are you sure it's fully functional without it? Can you use 3proxy as HTTP proxy without bin/proxy? I don't think so.
Comment 18 Igor Zabelin 2015-05-28 07:58:59 UTC
(In reply to timp87 from comment #17)

I thought so too. But the developer pointed me to it when I asked him to rename bin/proxy.

From man 3proxy:

Each gateway is started from configuration file like  independant  service  proxy(8)  socks(8)  pop3p(8)  tcppm(8) udppm(8)  ftppr(8)  dnspr but 3proxy is not a kind of wrapper or superserver for this daemons. It just has same code compiled  in,  but  provides  much  more functionality.
Comment 19 timp87 2015-05-28 08:02:23 UTC
(In reply to Igor Zabelin from comment #18)
Interesting!
If so, could you please make a patch with cut that parts down?
Comment 20 Igor Zabelin 2015-05-28 09:14:47 UTC
Created attachment 157213 [details]
Patch 0.6.1 to 0.7.1.2, without separate binaries

Now it is a small useful utility. No additional elements that are not normally used.
Comment 21 timp87 2015-05-28 11:40:24 UTC
(In reply to Igor Zabelin from comment #20)
Great! But I would not touch man pages, because there is no other way to know how to work with 3proxy as 'socks or 'proxy'.
And 3proxy man page itself is useless.
Comment 22 Igor Zabelin 2015-05-28 12:01:49 UTC
(In reply to timp87 from comment #21)

man 3proxy.cfg
Comment 23 timp87 2015-05-28 17:11:10 UTC
(In reply to Igor Zabelin from comment #22)
It works!
Kurt, your turn!
Comment 24 Kurt Jaeger freebsd_committer 2015-05-28 17:26:10 UTC
testing@work
Comment 25 commit-hook freebsd_committer 2015-05-28 18:06:36 UTC
A commit references this bug:

Author: pi
Date: Thu May 28 18:05:39 UTC 2015
New revision: 387751
URL: https://svnweb.freebsd.org/changeset/ports/387751

Log:
  net/3proxy: 0.6.1 -> 0.7.1.2

  The CONFLICT with libproxy was resolved by removing the conflicting files.

  0.7.1.2
  - Increased limits for header / request size in HTTP proxy
  - Increased system failures handling on insufficient resources

  0.7.1.1
  - Warnings added for most common misconfigurations
  - ftppr NLSD command supported
  - Ignore NTLM handshake if NTLM is not enabled
  - memcpy replaced with memmove for overlapped region
  - better EINTR handling on *nix
  - FTP proxy debugging output removed, binding for data connection corrected
  - memory leak fixed in ldapauth plugin

  PR:		188374
  Submitted by:	igorz@yandex.ru, timp87@gmail.com

Changes:
  head/net/3proxy/Makefile
  head/net/3proxy/distinfo
  head/net/3proxy/files/patch-man
  head/net/3proxy/pkg-descr
  head/net/3proxy/pkg-plist
Comment 26 Kurt Jaeger freebsd_committer 2015-05-28 18:15:38 UTC
Committed, many thanks for your patience!
Comment 27 cyberleo 2015-06-08 13:58:50 UTC
Looks like this change broke inetd mode.

proxy(8) lists -I as enabling inetd mode, but neither 3proxy(8) nor 3proxy.cfg(3) mention inetd mode at all.

Can we get these binaries back, perhaps with a rename to avoid the conflict?
Comment 28 timp87 2015-06-08 14:24:48 UTC
(In reply to cyberleo from comment #27)
Yes, of course. We can import a previous patch provided by Igor Zabelin.
Kurt, looks like you should do something with your poudriere =)
Comment 29 Igor Zabelin 2015-06-08 15:51:31 UTC
I'll try to make a new patch.  Rename proxy to httppr.
Comment 30 Igor Zabelin 2015-06-14 10:36:21 UTC
I'll rename to "htproxy" as in Fedora RPMs.
Comment 31 Igor Zabelin 2015-06-14 13:10:58 UTC
Created attachment 157726 [details]
Patch 0.7.1.2, rename bin/proxy to bin/httppr

rename bin/proxy to bin/httppr
patched man pages
Comment 32 Kurt Jaeger freebsd_committer 2015-06-14 13:14:08 UTC
testing@work
Comment 33 Igor Zabelin 2015-06-14 13:18:09 UTC
renamed to httppr

htproxy used by www/httest
Comment 34 commit-hook freebsd_committer 2015-06-14 13:20:57 UTC
A commit references this bug:

Author: pi
Date: Sun Jun 14 13:20:03 UTC 2015
New revision: 389630
URL: https://svnweb.freebsd.org/changeset/ports/389630

Log:
  net/3proxy: bring back some files, renamed to avoid conflicts

  - rename bin/proxy to bin/httppr (similar to fedora RPMs)
  - patched man pages

  PR:		188374
  Submitted by:	Igor Zabelin <igorz@yandex.ru>

Changes:
  head/net/3proxy/Makefile
  head/net/3proxy/files/patch-man
  head/net/3proxy/pkg-plist
Comment 35 Kurt Jaeger freebsd_committer 2015-06-14 13:21:36 UTC
Committed, thanks.